Bug 808651 - SELinux is preventing /opt/google/chrome/chrome from read, append access on the file /dev/shm/.com.google.Chrome.8gCYFm (deleted).
SELinux is preventing /opt/google/chrome/chrome from read, append access on t...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f0f70823ab72066f7ca666d9255...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 22:44 EDT by Gushchin Andrey
Modified: 2012-04-03 04:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 04:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gushchin Andrey 2012-03-30 22:44:25 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-4.fc16.x86_64
reason:         SELinux is preventing /opt/google/chrome/chrome from read, append access on the file /dev/shm/.com.google.Chrome.8gCYFm (deleted).
time:           Sat 31 Mar 2012 08:43:52 AM YEKT

description:
:SELinux is preventing /opt/google/chrome/chrome from read, append access on the file /dev/shm/.com.google.Chrome.8gCYFm (deleted).
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that chrome should be allowed read append access on the .com.google.Chrome.8gCYFm (deleted) file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep Chrome_ChildIOT /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:tmpfs_t:s0
:Target Objects                /dev/shm/.com.google.Chrome.8gCYFm (deleted) [
:                              file ]
:Source                        Chrome_ChildIOT
:Source Path                   /opt/google/chrome/chrome
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           google-chrome-stable-18.0.1025.142-129054.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-4.fc16.x86_64 #1
:                              SMP Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64
:Alert Count                   31
:First Seen                    Fri 30 Mar 2012 09:33:02 PM YEKT
:Last Seen                     Fri 30 Mar 2012 09:33:04 PM YEKT
:Local ID                      8625171b-585b-4464-a7c2-8f83e5f6e1b3
:
:Raw Audit Messages
:type=AVC msg=audit(1333121584.290:183): avc:  denied  { read append } for  pid=8857 comm="Chrome_ChildIOT" path=2F6465762F73686D2F2E636F6D2E676F6F676C652E4368726F6D652E38674359466D202864656C6574656429 dev="tmpfs" ino=231018 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmpfs_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1333121584.290:183): arch=x86_64 syscall=recvmsg success=yes exit=EPERM a0=12 a1=7f813a003e20 a2=40 a3=ffffffff items=0 ppid=2 pid=8857 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=Chrome_ChildIOT exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)
:
:Hash: Chrome_ChildIOT,chrome_sandbox_t,tmpfs_t,file,read,append
:
:audit2allow
:
:#============= chrome_sandbox_t ==============
:allow chrome_sandbox_t tmpfs_t:file { read append };
:
:audit2allow -R
:
:#============= chrome_sandbox_t ==============
:allow chrome_sandbox_t tmpfs_t:file { read append };
:
Comment 1 Daniel Walsh 2012-04-02 16:10:09 EDT
How did you get this to happen?

Has it happened more then once?
Comment 2 Gushchin Andrey 2012-04-02 23:53:36 EDT
This happen once. I really don'n no how it's happen.
Comment 3 Miroslav Grepl 2012-04-03 04:03:18 EDT
Ok, lets close this bug and reopen if this happens again. Thank you.

Note You need to log in before you can comment on or make changes to this bug.